
import oauthlib.oauth2
import requests

def get_access_token(client_id, client_secret, token_url, auth_endpoint):
    """
    This function uses OAuthlib to get an access token using client credentials.
    """
    client = oauthlib.oauth2.Client(client_id=client_id, client_secret=client_secret)
    token_response = client.fetch_token(token_url=token_url, authorization_url=auth_endpoint)
    return token_response



